HFST-PRUNE-ALPHABET(1)

NAME
hfst-prune-alphabet - =Prune the alphabet of a transducer

SYNOPSIS
hfst-prune-alphabet [OPTIONS...] [INFILE]

DESCRIPTION
Prune the alphabet of a transducer

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Alphabet pruning options:

-f, --force
    force pruning

-S, --safe
    prune only if no unknown or identity symbols are used in the transducer (default)

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-prune-alphabet home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstPruneAlphabet>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.